Get Procedures
Gets a list of the procedures that match the search keyword.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
GET /api/sonar/procedures
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/procedures
Request Parameters
| Key | Requied | Type | Description | Note |
|---|---|---|---|---|
| offset | X | 32-bit integer | Number of records to skip | Default: 0 |
| limit | X | 32-bit integer | Maximum number of records to load | Default: all procedures |
| keywords | X | String | Search keyword | Search available by name, description |
Success Response
{
"total_count": 1,
"procedures": [
{
"guid": "5ad13151-dbc1-41c0-92a7-dfeb5f534f4c",
"name": "test",
"description": null,
"parameters": [
{
"name": "테이블",
"description": "검색 대상 테이블 이름",
"type": "string",
"key": "table"
}
],
"query": "system tables | search table == $(\"table\")",
"owner_guid": "13437402-81ed-4b6c-8a6f-7893c7c958b1",
"owner_name": "Demo",
"owner_login_name": "demo",
"company_public": false,
"created": "2023-10-03 12:38:13+0900",
"updated": "2023-10-03 22:14:28+0900"
}
]
}
This API does not return the information of granted users or groups.
- total_count (32-bit integer): Total number of the procedures that match the search keyword
- procedures (Array): List of procedures
- guid (String): Procedure identifier
- name (String): Procedure name
- description (String): Procedure description
- parameters (Array): Parameter list
- name (String): Display name of the parameter
- description (String): Description of the parameter
- type (String): Parameter type. Either
string,int,double,bool,datetime,date, orip. - key (String): Parameter name
- query (String): Query string
- owner_guid (String): Owner GUID as identifier
- owner_name (String): Owner name
- owner_login_name (String): Owner login account
- company_public (Boolean): Whether the procedure is public
- created (String): Creation date and time (
yyyy-MM-dd HH:mm:ssZ) - updated (String): Last modification date and time (
yyyy-MM-dd HH:mm:ssZ)
Error Responses
offset or limit value is not an integer
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "'offset' parameter should be int type"
}
offset or limit value is negative
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "'offset' must be greater than or equal to 0."
}